### This is a pre-release project and still a work-in-progress. Pardon any issues arise.

![image_squidhome@2x.png](http://i.imgur.com/RIvu9.png) 

# Sails-StarterApp

## Scope
a Sails application that will serve to be a starter app that supports multiple dbs (local-disk & MongoDb) and multiple Authentication methods (Username-Password, Google+, Facebook)

## Futures
Also plan to add an account management system and other things you need with MOST applications.

# Installation

###To install (via command-line):
```sh
sudo npm install sails -g
```

###Download this repo
```sh
git clone https://github.com/bradoyler/sails-starterapp.git sails-starterapp; cd $_;
```

###Install dependencies:
```sh
npm install
```

### Fire up the server  
```sh
sails lift
```

##Get it working 

With the server running.

First, create a POST request to `/user` with username & password:
```sh
   curl -d "username=testuser&password=testpass" http://localhost:1337/user
```
You should get a response back of the user you created.

Then goto `http://localhost:1337/user`. You should get a response of "Not Authorized"

Now, send a POST (w/ username & password above) to `/auth/login` using [Postman](http://www.getpostman.com)

You should get the response: "Login Successful"

Now goto `http://localhost:1337/user` and you should get a response of the users in the database. `Notice that the password is not returned.`

### Logout
To logout goto `http://localhost:1337/auth/logout`
